### Hierarchy

- Navbar

## Index

### Properties

- desktopMenu
- innerMenuItems
- itemCount
- logo
- menuIcon
- menuItems
- mobileMenu
- navElement
- overlayMenu
- position

### Methods

- bodyScroll
- componentDidLoad
- componentWillLoad
- createLogo
- createMenuItems
- menuClick
- moveMenu
- render
- setActiveMenuItem
- toggleMobileMenu

## Properties

### desktopMenu

desktopMenu: HTMLElement

- Defined in navbar/navbar.tsx:14

### innerMenuItems

innerMenuItems: Array<MenuItem>

- Defined in navbar/navbar.tsx:11

### itemCount

itemCount: number

- Defined in navbar/navbar.tsx:19

### logo

logo: string = null

- Defined in navbar/navbar.tsx:20

### menuIcon

menuIcon: HTMLElement

- Defined in navbar/navbar.tsx:12

### menuItems

menuItems: string = null

- Defined in navbar/navbar.tsx:18

### mobileMenu

mobileMenu: HTMLElement

- Defined in navbar/navbar.tsx:15

### navElement

navElement: HTMLElement

- Defined in navbar/navbar.tsx:16

### overlayMenu

overlayMenu: HTMLElement

- Defined in navbar/navbar.tsx:13

### position

position: string = "scroll"

- Defined in navbar/navbar.tsx:21

## Methods

### bodyScroll

- bodyScroll(): void

- - Defined in navbar/navbar.tsx:161

  #### Returns void

### componentDidLoad

- componentDidLoad(): void

- - Defined in navbar/navbar.tsx:30

  #### Returns void

### componentWillLoad

- componentWillLoad(): void

- - Defined in navbar/navbar.tsx:26

  #### Returns void

### createLogo

- createLogo(): any

- - Defined in navbar/navbar.tsx:97

  #### Returns any

### createMenuItems

- createMenuItems(): Array<JSX.Element>

- - Defined in navbar/navbar.tsx:79

  #### Returns Array<JSX.Element>

### menuClick

- menuClick(ev: any): void

- - Defined in navbar/navbar.tsx:122

  #### Parameters

  - ##### ev: any

  #### Returns void

### moveMenu

- moveMenu(): void

- - Defined in navbar/navbar.tsx:145

  #### Returns void

### render

- render(): any[]

- - Defined in navbar/navbar.tsx:54

  #### Returns any[]

### setActiveMenuItem

- setActiveMenuItem(): void

- - Defined in navbar/navbar.tsx:133

  #### Returns void

### toggleMobileMenu

- toggleMobileMenu(): void

- - Defined in navbar/navbar.tsx:107

  #### Returns void